function [A,f]=assemble(gridsize,B)

h=1/gridsize;
n=gridsize-1;

f=zeros(n,n);
for ii=1:4
  row=floor((B(ii)-1)/4)+1;
  col=mod(B(ii)-1,4)+1;
  del=gridsize/6;
  f(del*col:del*(col+1),del*row:del*(row+1))=1;
end
f=f(:);

A1=spdiags([-ones(n,1) 2*ones(n,1) -ones(n,1)],-1:1,n,n)/h^2;
A=kron(A1,speye(n))+kron(speye(n),A1);
