function flux=fluxeval(u)

n=sqrt(size(u,1));
h=1/(n+1);
u0=zeros(n+2,n+2);
u0(2:n+1,2:n+1)=reshape(u,n,n);

bottom=(-3*u0(1,:)+4*u0(2,:)-u0(3,:))'/2/h;
top=(-3*u0(end,:)+4*u0(end-1,:)-u0(end-2,:))'/2/h;
left=(-3*u0(:,1)+4*u0(:,2)-u0(:,3))/2/h;
right=(-3*u0(:,end)+4*u0(:,end-1)-u0(:,end-2))/2/h;

flux=[left right bottom top];
