function [u,err]=gs(A,f,u,niter,omega)

if nargout>=2
  uexact=A\f;
end

n=sqrt(length(f));
DL=diag(diag(A))+tril(A,-1);
U=-triu(A,1);

err=zeros(1,niter);
for ii=1:niter
  u=omega*(DL\(U*u+f))+(1-omega)*u;
  if nargout>=2
    err(ii)=norm(u-uexact)/sqrt(n);
  end
end
